RESTinio

Macros
version.hpp File Reference

Definition of RESTINIO_VERSION macro. More...

Go to the source code of this file.

## Macros
#define | RESTINIO_VERSION_MAJOR 0ull
#define | RESTINIO_VERSION_MINOR 6ull
#define | RESTINIO_VERSION_PATCH 14ull
#define | RESTINIO_VERSION_MAKE(major, minor, patch)
#define | RESTINIO_VERSION

## Detailed Description

Definition of RESTINIO_VERSION macro.

Since
  v.0.6.1

Definition in file version.hpp.

## Macro Definition Documentation

## ◆ RESTINIO_VERSION

#define RESTINIO_VERSION

Value:
RESTINIO_VERSION_MAKE( \
RESTINIO_VERSION_MAJOR,\
RESTINIO_VERSION_MINOR,\
RESTINIO_VERSION_PATCH)
RESTINIO_VERSION_PATCH
#define RESTINIO_VERSION_PATCH
Definition: version.hpp:36
RESTINIO_VERSION_MINOR
#define RESTINIO_VERSION_MINOR
Definition: version.hpp:29
RESTINIO_VERSION_MAKE
#define RESTINIO_VERSION_MAKE(major, minor, patch)
Definition: version.hpp:49
RESTINIO_VERSION_MAJOR
#define RESTINIO_VERSION_MAJOR
Definition: version.hpp:22

A single number representation of RESTinio version.

For example it can be 6003ull for RESTinio-0.6.3. Or 1004023ull for RESTinio-1.4.23.

Definition at line 60 of file version.hpp.

## ◆ RESTINIO_VERSION_MAJOR

#define RESTINIO_VERSION_MAJOR 0ull

The major part of version number.

If RESTinio's version is 0.6.0 then RESTINIO_VERSION_MAJOR==0. If RESTinio's version is 1.2.4 then RESTINIO_VERSION_MAJOR==1.

Definition at line 22 of file version.hpp.

## ◆ RESTINIO_VERSION_MAKE

#define RESTINIO_VERSION_MAKE | ( |  | major,
|  |  | minor,
|  |  | patch
| ) |  |

Value:
(((major) * 1000000ull) + \
((minor) * 1000ull) + \
(patch))

Helper macro for make single number representation of RESTinio's version.

It can be used that way:

// Some feature is available only from 1.2.4
#if RESTINIO_VERSION >= RESTINIO_VERSION_MAKE(1, 2, 4)
... // Some 1.2.4 (or above) specific code.
#endif

Definition at line 49 of file version.hpp.

## ◆ RESTINIO_VERSION_MINOR

#define RESTINIO_VERSION_MINOR 6ull

The minon part of version number.

If RESTinio's version is 0.6.0 then RESTINIO_VERSION_MINOR==6.

Definition at line 29 of file version.hpp.

## ◆ RESTINIO_VERSION_PATCH

#define RESTINIO_VERSION_PATCH 14ull

The patch part of version number.

If RESTinio's version is 0.6.23 then RESTINIO_VERSION_PATCH==23.

Definition at line 36 of file version.hpp.